
package net.mcreator.changedaddon.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.HumanoidArmorLayer;
import net.minecraft.client.renderer.entity.HumanoidMobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.HumanoidModel;

import net.mcreator.changedaddon.entity.SnowleopardEntity;

public class SnowleopardRenderer extends HumanoidMobRenderer<SnowleopardEntity, HumanoidModel<SnowleopardEntity>> {
	public SnowleopardRenderer(EntityRendererProvider.Context context) {
		super(context, new HumanoidModel<SnowleopardEntity>(context.bakeLayer(ModelLayers.PLAYER)), 0.5f);
		this.addLayer(new HumanoidArmorLayer(this, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_INNER_ARMOR)), new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_OUTER_ARMOR)), context.getModelManager()));
	}

	@Override
	public ResourceLocation getTextureLocation(SnowleopardEntity entity) {
		return new ResourceLocation("changed_addon:textures/entities/2024_12_27_snow-leopard-22958957.png");
	}
}
