
package net.mcreator.changedaddon.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.texture.OverlayTexture;
import net.minecraft.client.renderer.entity.layers.RenderLayer;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.MultiBufferSource;
import net.minecraft.client.model.EntityModel;
import net.minecraft.client.Minecraft;

import net.mcreator.changedaddon.entity.LatexEntityEntity;
import net.mcreator.changedaddon.client.model.ModelLatex_Creature;

import com.mojang.blaze3d.vertex.VertexConsumer;
import com.mojang.blaze3d.vertex.PoseStack;

public class LatexEntityRenderer extends MobRenderer<LatexEntityEntity, ModelLatex_Creature<LatexEntityEntity>> {
	public LatexEntityRenderer(EntityRendererProvider.Context context) {
		super(context, new ModelLatex_Creature<LatexEntityEntity>(context.bakeLayer(ModelLatex_Creature.LAYER_LOCATION)), 0.5f);
		this.addLayer(new RenderLayer<LatexEntityEntity, ModelLatex_Creature<LatexEntityEntity>>(this) {
			final ResourceLocation LAYER_TEXTURE = new ResourceLocation("changed_addon:textures/entities/latex_creature.png");

			@Override
			public void render(PoseStack poseStack, MultiBufferSource bufferSource, int light, LatexEntityEntity entity, float limbSwing, float limbSwingAmount, float partialTicks, float ageInTicks, float netHeadYaw, float headPitch) {
				VertexConsumer vertexConsumer = bufferSource.getBuffer(RenderType.entityCutoutNoCull(LAYER_TEXTURE));
				EntityModel model = new ModelLatex_Creature(Minecraft.getInstance().getEntityModels().bakeLayer(ModelLatex_Creature.LAYER_LOCATION));
				this.getParentModel().copyPropertiesTo(model);
				model.prepareMobModel(entity, limbSwing, limbSwingAmount, partialTicks);
				model.setupAnim(entity, limbSwing, limbSwingAmount, ageInTicks, netHeadYaw, headPitch);
				model.renderToBuffer(poseStack, vertexConsumer, light, OverlayTexture.NO_OVERLAY, 1, 1, 1, 1);
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(LatexEntityEntity entity) {
		return new ResourceLocation("changed_addon:textures/entities/latex_creature.png");
	}
}
