
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.changedaddon.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.changedaddon.entity.SnowleopardEntity;
import net.mcreator.changedaddon.entity.LatexEntityEntity;
import net.mcreator.changedaddon.entity.ColintransfurredEntity;
import net.mcreator.changedaddon.ChangedAddonMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class ChangedAddonModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, ChangedAddonMod.MODID);
	public static final RegistryObject<EntityType<LatexEntityEntity>> LATEX_ENTITY = register("latex_entity",
			EntityType.Builder.<LatexEntityEntity>of(LatexEntityEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(LatexEntityEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<ColintransfurredEntity>> COLINTRANSFURRED = register("colintransfurred",
			EntityType.Builder.<ColintransfurredEntity>of(ColintransfurredEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(ColintransfurredEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<SnowleopardEntity>> SNOWLEOPARD = register("snowleopard",
			EntityType.Builder.<SnowleopardEntity>of(SnowleopardEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(SnowleopardEntity::new)

					.sized(0.6f, 1.8f));

	// Start of user code block custom entities
	// End of user code block custom entities
	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			LatexEntityEntity.init();
			ColintransfurredEntity.init();
			SnowleopardEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(LATEX_ENTITY.get(), LatexEntityEntity.createAttributes().build());
		event.put(COLINTRANSFURRED.get(), ColintransfurredEntity.createAttributes().build());
		event.put(SNOWLEOPARD.get(), SnowleopardEntity.createAttributes().build());
	}
}
